API referenceFolder
POST /api/Folder/GetByBusinessUnitId
A Business Unit id should be passed in the request body, and the API returns a list of Folders that corresponds to the Business Unit.
POST
/api/Folder/GetByBusinessUnitIdcurl -X POST "/api/Folder/GetByBusinessUnitId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
A list of Folders from the Portfolio Structure.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.FolderApiDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"businessUnitId": 0,
"memo": "string"
}
]
}